X2Go Bug report logs - #475
x2goclient v4.0.2.0 running on OSX, causes remote UI breakage and high CPU load on server

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Eugene San <eugenesan@gmail.com>

Date: Fri, 11 Apr 2014 16:40:01 UTC

Severity: normal

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Fri, 11 Apr 2014 16:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene San <eugenesan@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>.

Your message had a Version: pseudo-header with an invalid package version:

<4.0.2.0>

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Fri, 11 Apr 2014 16:40:02 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Eugene San <eugenesan@gmail.com>
To: submit@bugs.x2go.org
Subject: x2goclient v4.0.2.0 running on OSX, causes remote UI breakage and high CPU load on server
Date: Fri, 11 Apr 2014 19:37:31 +0300
Package: <x2goclient>
Version: <4.0.2.0>

x2goclient v4.0.2.0 running on OSX, causes remote UI breakage (no
input, no desktop redraw, etc) and high CPU load.
No problem with X2Client 4.0.1.3 in same setup

Client is OSX10.9 + x2goclient 4.0.2.0
Server is Ubuntu12.04 + x2goserver 4.0.1.5


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Sat, 12 Apr 2014 01:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 12 Apr 2014 01:20:02 GMT) Full text and rfc822 format available.

Message #10 received at 475@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 475@bugs.x2go.org
Subject: remote UI?
Date: Fri, 11 Apr 2014 21:15:28 -0400
[Message part 1 (text/plain, inline)]
On Apr 11, 2014 12:40 PM, "Eugene San" <eugenesan@gmail.com> wrote:
> x2goclient v4.0.2.0 running on OSX, causes remote UI breakage (no
> input, no desktop redraw, etc) and high CPU load.

Can you explain what you mean by "remote UI"?
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Sat, 12 Apr 2014 08:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene San <eugenesan@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Sat, 12 Apr 2014 08:10:02 GMT) Full text and rfc822 format available.

Message #15 received at 475@bugs.x2go.org (full text, mbox):

From: Eugene San <eugenesan@gmail.com>
To: Michael DePaulo <mikedep333@gmail.com>, 475@bugs.x2go.org, x2go-dev@lists.berlios.de
Subject: Re: [X2Go-Dev] Bug#475: remote UI?
Date: Sat, 12 Apr 2014 11:04:41 +0300
By "remote UI" I mean UI components rendered in X window, created by x2goclient.
Remote desktop manages to draw only gnome-panel and sometimes keychain
password input dialog.
After that only few elements on panel are "click-able" but no new
windows/dialogs are shown.

I suspect the issue is related to keyboard mapping changes for OSX in
4.0.2.0, because:
a) x2goagent's strace is constatnly flooded with something like this:
write(39, "xkb_keymap \"default\" {\nxkb_keyco"..., 4096) = 4096
write(39, " <I6B> = 235;\n     <I6C> = 236;\n"..., 4096) = 4096
write(39, "      modifiers= RAlt;\n        m"..., 4096) = 4096
write(39, "     map[Shift+Lock+LevelThree+L"..., 4096) = 4096
write(39, "l_name[Level3]= \"Alt Base\";\n    "..., 4096) = 4096
write(39, "l) {\n        repeat= True;\n     "..., 4096) = 4096
write(39, "fee9+AnyOfOrNone(all) {\n        "..., 4096) = 4096
write(39, "       action= SwitchScreen(scre"..., 4096) = 4096
write(39, "roup2]= [            0xe7,      "..., 4096) = 4096
write(39, "6c,            0x4c ],\n        s"..., 4096) = 4096
write(39, " ] };\n    key <KPEQ> {         ["..., 4096) = 4096
write(39, "RM\",   1 },\n                { <A"..., 4096) = 4096
write(39, "top=  20;\n            left= 1;\n "..., 2530) = 2530
close(39)
b) ltrace flooded with keyboard related strcmp() calls like following:
__fprintf_chk(0x232f310, 1, 0x810282, 0x7fcb39, 0xb22878)

    = 17
strncmp("MDSWESC", "AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)

    = 12
strncmp("ESC", "AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)

    = 4
strncmp("AE01AE02AE03AE04AE05AE06AE07AE08"...,
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                            = 3
strncmp("AE02AE03AE04AE05AE06AE07AE08AE09"...,
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                            = 3
strncmp("AE03AE04AE05AE06AE07AE08AE09AE10"...,
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                            = 3
strncmp("AE04AE05AE06AE07AE08AE09AE10AE11"...,
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                            = 3
strncmp("AE05AE06AE07AE08AE09AE10AE11AE12"...,
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                            = 3
strncmp("AE06AE07AE08AE09AE10AE11AE12BKSP"...,
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                            = 3
strncmp("AE07AE08AE09AE10AE11AE12BKSPTAB",
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                                = 3
strncmp("AE08AE09AE10AE11AE12BKSPTAB",
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                                    = 3
strncmp("AE09AE10AE11AE12BKSPTAB",
"AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)
                                        = 3
strncmp("AE10AE11AE12BKSPTAB", "AB04AB05AB06AB07AB08AB09AB10RTSH"...,
4)
     = 3
strncmp("AE11AE12BKSPTAB", "AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)

    = 3
strncmp("AE12BKSPTAB", "AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)

    = 3
strncmp("BKSPTAB", "AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)

    = 1
strncmp("TAB", "AB04AB05AB06AB07AB08AB09AB10RTSH"..., 4)

Regards.


On Sat, Apr 12, 2014 at 4:15 AM, Michael DePaulo <mikedep333@gmail.com> wrote:
> On Apr 11, 2014 12:40 PM, "Eugene San" <eugenesan@gmail.com> wrote:
>> x2goclient v4.0.2.0 running on OSX, causes remote UI breakage (no
>> input, no desktop redraw, etc) and high CPU load.
>
> Can you explain what you mean by "remote UI"?
>
>
> _______________________________________________
> X2Go-Dev mailing list
> X2Go-Dev@lists.berlios.de
> https://lists.berlios.de/mailman/listinfo/x2go-dev


Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Mon, 14 Apr 2014 12:00:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 12:00:01 GMT) Full text and rfc822 format available.

Message #20 received at 475@bugs.x2go.org (full text, mbox):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: 475@bugs.x2go.org
Subject: Happens to me too.
Date: Mon, 14 Apr 2014 12:54:58 +0200
[Message part 1 (text/plain, inline)]
When using x2client 4.0.2.0 on Mac OS X 10.8, I notice that x2goagent 
will consume 90-100% of cpu the whole time, and the load goes much 
higher than when using x2goclient 4.0.1.3. 

I have seen the "remote UI breakage" that the original reporter 
mentions, the UI becomes really unresponsive after a while, and 
clicking an icon might sometimes only produce a result after 30 
seconds, or nothing at all. 

The server is running Debian Wheeze with x2goserver 4.0.1.15.


-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Mon, 14 Apr 2014 12:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 12:10:02 GMT) Full text and rfc822 format available.

Message #25 received at 475@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Klaus Ade Johnstad <klaus@linuxavdelingen.no>, 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#475: Happens to me too.
Date: Mon, 14 Apr 2014 12:05:39 +0000
[Message part 1 (text/plain, inline)]
Hi Klaus Ade, hi Eugene,

On  Mo 14 Apr 2014 12:54:58 CEST, Klaus Ade Johnstad wrote:

> When using x2client 4.0.2.0 on Mac OS X 10.8, I notice that x2goagent
> will consume 90-100% of cpu the whole time, and the load goes much
> higher than when using x2goclient 4.0.1.3.
>
> I have seen the "remote UI breakage" that the original reporter
> mentions, the UI becomes really unresponsive after a while, and
> clicking an icon might sometimes only produce a result after 30
> seconds, or nothing at all.
>
> The server is running Debian Wheeze with x2goserver 4.0.1.15.

We have two build systems for X2Go Client for Mac OS X. One for the  
release builds, one for the nightly snapshots.

Could you test .dmgs from the other build system (nightly snapshots)  
[1] and report back, if either of those (use x2goclient.dmg) in the  
folder given fixes your issues?

Mike

[1] http://code.x2go.org/releases/binary-macosx/x2goclient/heuler/

-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Mon, 14 Apr 2014 12:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Klaus Ade Johnstad <klaus@linuxavdelingen.no>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 12:15:01 GMT) Full text and rfc822 format available.

Message #30 received at 475@bugs.x2go.org (full text, mbox):

From: Klaus Ade Johnstad <klaus@linuxavdelingen.no>
To: 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#475: Happens to me too.
Date: Mon, 14 Apr 2014 14:13:21 +0200
[Message part 1 (text/plain, inline)]
 Mandag 14. april 2014 14:05:39 skrev Mike Gabriel :
> Could you test .dmgs from the other build system (nightly snapshots)
>   [1] and report back, if either of those (use x2goclient.dmg) in the
> folder given fixes your issues?

Happens with x2goclient 4.0.2.1 also, x2goagent consumes 90-100% cpu all 
the time.
-- 
Klaus Ade Johnstad
klaus@linuxavdelingen.no
Mobil:938 69 567

67E61D18B2C44F8A3DA35C6D849F9F5F 26FA477D
[signature.asc (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.berlios.de, X2Go Developers <x2go-dev@lists.berlios.de>:
Bug#475; Package <x2goclient>. (Mon, 14 Apr 2014 12:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.berlios.de>. (Mon, 14 Apr 2014 12:55:01 GMT) Full text and rfc822 format available.

Message #35 received at 475@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Klaus Ade Johnstad <klaus@linuxavdelingen.no>, 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#475: Bug#475: Happens to me too.
Date: Mon, 14 Apr 2014 12:54:54 +0000
[Message part 1 (text/plain, inline)]
Hi Klaus Ade, hi Oleksandr,

On  Mo 14 Apr 2014 14:13:21 CEST, Klaus Ade Johnstad wrote:

> Mandag 14. april 2014 14:05:39 skrev Mike Gabriel :
>> Could you test .dmgs from the other build system (nightly snapshots)
>>   [1] and report back, if either of those (use x2goclient.dmg) in the
>> folder given fixes your issues?
>
> Happens with x2goclient 4.0.2.1 also, x2goagent consumes 90-100% cpu all
> the time.

I have a recently been sponsored a Mac Mini. However, with that  
system, my current problem is to SSH out of that machine to any remote  
server at all. So, I cannot give feedback on this issue.

@Oleksandr: I guess this is something you need to look at!!!

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Sun, 11 May 2014 13:15:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Josh Abraham <public@verajosh.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 11 May 2014 13:15:01 GMT) Full text and rfc822 format available.

Message #40 received at 475@bugs.x2go.org (full text, mbox):

From: Josh Abraham <public@verajosh.com>
To: 475@bugs.x2go.org
Subject: Seeing the same behavior
Date: Sun, 11 May 2014 09:13:19 -0400
[Message part 1 (text/plain, inline)]
I am seeing the same behavior in kubuntu 14.04 (for both client and
server). I've added the x2go PPA to my system and installed the client and
server on both machines.

When the client connects to the server, it uses a VPN connection. The
remote interface or application comes up and seems to be responsive.
Regardless of usage, one-to-two cores on my CPU stay at 100% usage while
running x2go.

Let me know if I can provide more pertinent details.

Thanks,
Josh Abraham
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Mon, 12 May 2014 06:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 12 May 2014 06:30:02 GMT) Full text and rfc822 format available.

Message #45 received at 475@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Josh Abraham <public@verajosh.com>, 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#475: Seeing the same behavior
Date: Mon, 12 May 2014 06:29:44 +0000
[Message part 1 (text/plain, inline)]
Hi Josh,

On  So 11 Mai 2014 15:13:19 CEST, Josh Abraham wrote:

> I am seeing the same behavior in kubuntu 14.04 (for both client and
> server). I've added the x2go PPA to my system and installed the client and
> server on both machines.
>
> When the client connects to the server, it uses a VPN connection. The
> remote interface or application comes up and seems to be responsive.
> Regardless of usage, one-to-two cores on my CPU stay at 100% usage while
> running x2go.
>
> Let me know if I can provide more pertinent details.
>
> Thanks,
> Josh Abraham

Please send the output of:

  dpkg -l x2goclient
  dpkg -l libssh-4

Thanks,
Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Thu, 24 Jul 2014 22:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Peter Fitch <apfitch@ieee.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 24 Jul 2014 22:55:02 GMT) Full text and rfc822 format available.

Message #50 received at 475@bugs.x2go.org (full text, mbox):

From: Alan Peter Fitch <apfitch@ieee.org>
To: 475@bugs.x2go.org
Subject: Also seen on Centos 6.5 with Windows 7 client
Date: Thu, 24 Jul 2014 23:44:29 +0100
I've seen this on Centos 6.5 with the Windows 7 x2go client, both 4.0.2.0.

I tried downgrading the client all the way back to 3.11 with no effect.

One interesting point - a colleague running x2goclient on Ubuntu 12 LTS
(client version was 3.99) did *not* experience the problem.

In my environment it makes x2go unusable, so I'm now investigating xpra
to get the resume/suspend functionality.

regards
Alan

-- 
Alan Fitch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Fri, 25 Jul 2014 19:40:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike Gabriel <mike.gabriel@das-netzwerkteam.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 25 Jul 2014 19:40:02 GMT) Full text and rfc822 format available.

Message #55 received at 475@bugs.x2go.org (full text, mbox):

From: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
To: Alan Peter Fitch <apfitch@ieee.org>, 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#475: Also seen on Centos 6.5 with Windows 7 client
Date: Fri, 25 Jul 2014 19:38:32 +0000
[Message part 1 (text/plain, inline)]
Hi Alan,

On  Fr 25 Jul 2014 00:44:29 CEST, Alan Peter Fitch wrote:

> I've seen this on Centos 6.5 with the Windows 7 x2go client, both 4.0.2.0.
>
> I tried downgrading the client all the way back to 3.11 with no effect.
>
> One interesting point - a colleague running x2goclient on Ubuntu 12 LTS
> (client version was 3.99) did *not* experience the problem.
>
> In my environment it makes x2go unusable, so I'm now investigating xpra
> to get the resume/suspend functionality.

Can you detect where exactly the sesion startup hangs?

My guess is that you have an everlasting x2gostartagent process on the  
X2Go Server machine that loops endlessly while detecting a free TCP/IP  
port for binding its forwarding tunnel endpoints to.

We have to rely on a little testing here. Thanks.

Mike
-- 

DAS-NETZWERKTEAM
mike gabriel, herweg 7, 24357 fleckeby
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: mike.gabriel@das-netzwerkteam.de, http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Sat, 26 Jul 2014 13:55:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to apfitch@ieee.org:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 26 Jul 2014 13:55:02 GMT) Full text and rfc822 format available.

Message #60 received at 475@bugs.x2go.org (full text, mbox):

From: Alan Fitch <apfitch@ieee.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>, 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#475: Also seen on Centos 6.5 with Windows 7 client
Date: Sat, 26 Jul 2014 14:53:25 +0100
On 25/07/14 20:38, Mike Gabriel wrote:
> Hi Alan,
>
> On  Fr 25 Jul 2014 00:44:29 CEST, Alan Peter Fitch wrote:
>
>> I've seen this on Centos 6.5 with the Windows 7 x2go client, both 4.0.2.0.
>>
>> I tried downgrading the client all the way back to 3.11 with no effect.
>>
>> One interesting point - a colleague running x2goclient on Ubuntu 12 LTS
>> (client version was 3.99) did *not* experience the problem.
>>
>> In my environment it makes x2go unusable, so I'm now investigating xpra
>> to get the resume/suspend functionality.
> Can you detect where exactly the sesion startup hangs?
Hi Mike,

  I'll have to try some tests at work on Monday (I'm trying to use it
where I work).

There are a couple other of other factors. We run various Electronic
Design Automation (EDA) tools.
The access is as follows

1. use x2goclient to access a server running Centos 6.5 and Open Grid
Scheduler (OGS).
2. Launch a terminal on the OGS, e.g.
   qrsh -q name.q xterm
The cluster machines are also running Centos 6.5. qrsh is forwarding X
from the cluster machines using ssh X forwarding (it's not actually
launching rsh, it's using ssh).

3. Launch the tool.

For some tools (e.g. Altera Quartus, Xilinx Vivado) the x2goagent usage
climbs to about 10% CPU as the graphics update.
For Mentor Questasim, the CPU usage climbs to between 70 and 90%, and it
takes ages (5 minutes?)  for the graphics to refresh and stabilise.
During that period, all the windows (the xterm and the EDA tool) are
greyed out and don't refresh.

I've tried running strace and there were millions of calls to a system
file call. I will send you an excerpt of the log on Monday. I think I
attached strace to the process ID of the x2goagent, but I will check
that on Monday.

I will also trying running directly on the server, just to check if the
ssh -X forwarding to the cluster is significant or not.

The thing that really surprised me was that if you use x2goclient from
Ubuntu 12 LTS, everything is fine. It was only access from a Windows 7
x2goclient that was affected.

regards
Alan

>
> My guess is that you have an everlasting x2gostartagent process on the  
> X2Go Server machine that loops endlessly while detecting a free TCP/IP  
> port for binding its forwarding tunnel endpoints to.
>
> We have to rely on a little testing here. Thanks.
>
> Mike


-- 
Alan Fitch


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Sat, 26 Jul 2014 15:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 26 Jul 2014 15:35:02 GMT) Full text and rfc822 format available.

Message #65 received at 475@bugs.x2go.org (full text, mbox):

From: Michael DePaulo <mikedep333@gmail.com>
To: 475@bugs.x2go.org
Subject: Happens to me too, at least partially
Date: Sat, 26 Jul 2014 11:30:52 -0400
On Mon, Apr 14, 2014 at 6:54 AM, Klaus Ade Johnstad
<klaus@linuxavdelingen.no> wrote:
> When using x2client 4.0.2.0 on Mac OS X 10.8, I notice that x2goagent
> will consume 90-100% of cpu the whole time, and the load goes much
> higher than when using x2goclient 4.0.1.3.

At work, on our RHEL 6.5 64-bit server running GNOME2 and X2Go Heuler
over the last several months (X2Go is updated monthly) (My default
shell is TCSH for legacy reasons):

Once I observed every process under my x2go session using up tons of
CPU. I had to kill those processes.

I do not think I have observed x2goagent/nxagent using up tons of CPU,
but it has 8 physical cores so it is not noticeable if only 1 is maxed
out.

The client has been X2Go Client 4.0.1.x and 4.0.2.0 on Windows 7 SP1
64-bit. I am running a full GNOME xsession.

>
> I have seen the "remote UI breakage" that the original reporter
> mentions, the UI becomes really unresponsive after a while, and
> clicking an icon might sometimes only produce a result after 30
> seconds, or nothing at all.

I have observed this problem all the time on the aforementioned server
& client. My workaround is to disconnect & reconnect frequently (or to
use Cygwin X11 manually tunneled over SSH.)

> The server is running Debian Wheeze with x2goserver 4.0.1.15.
>
>
> --
> Klaus Ade Johnstad
>[...]

-Mike#2


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Mon, 28 Jul 2014 12:20:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alan Fitch <apfitch@ieee.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Jul 2014 12:20:02 GMT) Full text and rfc822 format available.

Message #70 received at 475@bugs.x2go.org (full text, mbox):

From: Alan Fitch <apfitch@ieee.org>
To: Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Cc: <475@bugs.x2go.org>
Subject: Re: [X2Go-Dev] Bug#475: Also seen on Centos 6.5 with Windows 7 client
Date: Mon, 28 Jul 2014 13:16:36 +0100
On 25.07.2014 20:38, Mike Gabriel wrote:
> Hi Alan,
>
> On  Fr 25 Jul 2014 00:44:29 CEST, Alan Peter Fitch wrote:
>
>> I've seen this on Centos 6.5 with the Windows 7 x2go client, both 
>> 4.0.2.0.
>>
>> I tried downgrading the client all the way back to 3.11 with no 
>> effect.
>>
>> One interesting point - a colleague running x2goclient on Ubuntu 12 
>> LTS
>> (client version was 3.99) did *not* experience the problem.
>>
>> In my environment it makes x2go unusable, so I'm now investigating 
>> xpra
>> to get the resume/suspend functionality.
>
> Can you detect where exactly the sesion startup hangs?
>
> My guess is that you have an everlasting x2gostartagent process on
> the  X2Go Server machine that loops endlessly while detecting a free
> TCP/IP  port for binding its forwarding tunnel endpoints to.
>
> We have to rely on a little testing here. Thanks.

Hi Mike,
    I've done some more testing. I tried running Questasim on the 
cluster controller node (not on one of the cluster machines) and it was 
just as bad.
Again x2goagent was consuming up to 70% CPU, which was slowing window 
re-draws right down.

I ran strace -p pid where pid was the process ID of x2go agent, and 
captured a log. Here is a short extract:

Process 14310 attached - interrupt to quit
ioctl(7, FIONREAD, [0])                 = 0
write(7, "\2\"\0\0\0\0\377\377", 8)     = 8
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
select(8, [7], [], NULL, {5, 0})        = 1 (in [7], left {4, 998540})
ioctl(7, FIONREAD, [13])                = 0
read(7, "\32\r\22\270#`A\2\0\0\0\377\377", 65536) = 13
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
write(7, "\2\"\0\0\0\0\377\377", 8)     = 8
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
select(8, [7], [], NULL, {5, 0})        = 1 (in [7], left {4, 995499})
ioctl(7, FIONREAD, [13])                = 0
read(7, "\32\r\22\270#`A\2\0\0\0\377\377", 65536) = 13
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
write(7, "\2\"\0\0\0\0\377\377", 8)     = 8
ioctl(7, FIONREAD, [0])                 = 0
ioctl(7, FIONREAD, [0])                 = 0
select(8, [7], [], NULL, {5, 0})        = 1 (in [7], left {4, 998045})
ioctl(7, FIONREAD, [13])                = 0
read(7, "\32\r\22\270#`A\2\0\0\0\377\377", 65536) = 13

I've got 270K(!) of this if there's some way to upload an attachment,

regards
Alan

>
> Mike

-- 
Alan Fitch
(Home)


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package <x2goclient>. (Mon, 28 Jul 2014 20:10:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kirill Petrov <kirill.petrov@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 28 Jul 2014 20:10:02 GMT) Full text and rfc822 format available.

Message #75 received at 475@bugs.x2go.org (full text, mbox):

From: Kirill Petrov <kirill.petrov@gmail.com>
To: 475@bugs.x2go.org
Subject: Mavericks 10.9.4/ X2Go Client V.4.0.2.0 (Qt - 4.8.5) high CPU usage
Date: Mon, 28 Jul 2014 13:08:59 -0700
[Message part 1 (text/plain, inline)]
Experience the same problem with:
OS X 19.9.4, Mac client  X2Go Client V.4.0.2.0 (Qt - 4.8.5)

On the remote server I see one CPU completely killed:
PID USER PR  NI  VIRT  RES  SHR S  %CPU %MEM    TIME+  COMMAND
21002 filer     20   0 63148  41m 5528 S  66.5  1.7   3:51.08 x2goagent
21323 filer     20   0 20936 4956 2516 S  15.3  0.2   0:53.50
xfce4-settings-
21303 filer     20   0 20336 8688 7120 S   0.7  0.4   0:02.84 xfwm4
21305 filer     20   0 35364  10m 8976 S   0.3  0.5   0:00.72 xfce4-panel

At the same time, as soon as I disconnect. CPU usage of x2goagent goes to 0.

Is it the case that Linux clients don't have this problem?

thank you,

Kirill
[Message part 2 (text/html, inline)]

Bug reassigned from package '<x2goclient>' to 'x2goclient'. Request was from Mike Gabriel <mike.gabriel@das-netzwerkteam.de> to control@bugs.x2go.org. (Wed, 05 Nov 2014 11:27:56 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package x2goclient. (Wed, 14 Jan 2015 15:30:01 GMT) Full text and rfc822 format available.

Acknowledgement sent to Filip Körling <filip@stickybit.se>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 14 Jan 2015 15:30:02 GMT) Full text and rfc822 format available.

Message #82 received at 475@bugs.x2go.org (full text, mbox):

From: Filip Körling <filip@stickybit.se>
To: 475@bugs.x2go.org
Subject: same problem with 4.0.2.1 on Yosemite
Date: Wed, 14 Jan 2015 16:20:36 +0100
[Message part 1 (text/plain, inline)]
I see to have the same problem on  x2goclient v4.0.2.1, running on Macosx/Yosemite causes high cpu on server
Desktop used LXDE, connection works fine but the openbox executable uses lots of cpu.
Running x2goclient on Window/Linux has no problem using the same server.

Seems to be keyboard related, strace of the openbox process shows lots of:
stat("/usr/share/X11/locale/en_US.UTF-8/Compose", {st_mode=S_IFREG|0644, st_size=563200, ...}) = 0
stat("/home/filip/.compose-cache/", 0x7fff186ad020) = -1 ENOENT (No such file or directory)
open("/usr/share/X11/locale/en_US.UTF-8/Compose", O_RDONLY) = 6
fstat(6, {st_mode=S_IFREG|0644, st_size=563200, ...}) = 0
fstat(6, {st_mode=S_IFREG|0644, st_size=563200, ...}) = 0
mmap(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) = 0x7feeebd5d000
read(6, "\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n\n"..., 4096) = 4096
read(6, "> <slash> <asciicircum> \t: \"|\"  "..., 4096) = 4096
read(6, "terisk> \t\t: \"\302\260\"   degree # DEGR"..., 4096) = 4096
read(6, " \t: \"\302\245\"   yen # YEN SIGN\n<Multi"..., 4096) = 4096
read(6, "_key> <U1102> <U1103> \t: \"\341\204\225\"  "..., 4096) = 4096
read(6, "ti_key> <U1165> <U1175> \t: \"\341\205\246\""..., 4096) = 4096
read(6, "\206\264\"   U11b4 # HANGUL JONGSEONG R"..., 4096) = 4096
read(6, "> \t: \"\341\204\264\"   U1134 # HANGUL CHOS"..., 4096) = 4096
read(6, " <asciicircum> <KP_3> \t: \"\302\263\"   "..., 4096) = 4096
read(6, "Multi_key> <E> <grave> \t\t: \"\303\210\" "..., 4096) = 4096
read(6, "H GRAVE\n<dead_acute> <O>        "..., 4096) = 4096
read(6, " LETTER THORN\n<dead_grave> <a>  "..., 4096) = 4096
read(6, "resis # LATIN SMALL LETTER E WIT"..., 4096) = 4096
read(6, " odiaeresis # LATIN SMALL LETTER"..., 4096) = 4096
read(6, "L LETTER A WITH MACRON\n<dead_bre"..., 4096) = 4096
read(6, "_key> <d> <less> \t\t\t: \"\304\217\"   U01"..., 4096) = 4096
read(6, "11C # LATIN CAPITAL LETTER G WIT"..., 4096) = 4096
read(6, "\t: \"\304\252\"   U012A # LATIN CAPITAL "..., 4096) = 4096
read(6, "# LATIN SMALL LETTER L WITH ACUT"..., 4096) = 4096
read(6, "_key> <less> <n> \t\t\t: \"\305\210\"   U01"..., 4096) = 4096
read(6, " <r> <less> \t\t\t: \"\305\231\"   U0159 # "..., 4096) = 4096
read(6, ": \"\305\246\"   U0166 # LATIN CAPITAL L"..., 4096) = 4096
read(6, "n> <u>      \t: \"\305\263\"   U0173 # LA"..., 4096) = 4096
read(6, "OKE\n<Multi_key> <KP_Divide> <I> "..., 4096) = 4096
read(6, "aeresis> <u> \t: \"\307\226\"   U01D6 # L"..., 4096) = 4096
read(6, "diaeresis>        \t: \"\307\234\"   U01D"..., 4096) = 4096
read(6, "ulti_key> <underscore> <dead_abo"..., 4096) = 4096
read(6, "ER EZH WITH CARON\n<Multi_key> <c"..., 4096) = 4096
read(6, "\n<dead_acute> <Multi_key> <KP_Di"..., 4096) = 4096
read(6, "LETTER H WITH CARON\n<Multi_key> "..., 4096) = 4096

Client is OSX 10.10.1 with v4.0.2.1  + XQuartz 2.7.7
Server is Ubuntu 14.04 amd64 with 4.0.1.18-0~949~ubuntu14.04.1
Session info
==========

/tmp/.x2go-filip/C-filip-52-1421247687_stDLXDE_dp32/options
-----
nx/nx,link=wan,pack=16m-jpeg-9,limit=0,root=/tmp/.x2go-filip/C-filip-52-1421247687_stDLXDE_dp32,cache=8M,images=32M,type=unix-kde-depth_32,id=filip-52-1421247687_stDLXDE_dp32,cookie=05d38672bcd6dd6c416f0e1f425bc803,errors=/tmp/.x2go-filip/C-filip-52-1421247687_stDLXDE_dp32/session.log,kbtype=null/null,geometry=800x600,resize=1,fullscreen=0,accept=localhost,listen=30007,clipboard=both,client=linux,menu=0,state=/home/filip/.x2go/C-filip-52-1421247687_stDLXDE_dp32/state:52
----


----
Filip Körling  | filip@stickybit.se          | Mob: +46-40-631 15 02 | Twitter: @fkorling
Stickybit AB  | http://www.stickybit.se | 
----
Anyone who is capable of getting themselves made President should on no
account be allowed to do the job -- Douglas Adams.











[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#475; Package x2goclient. (Tue, 14 Nov 2017 00:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 14 Nov 2017 00:15:02 GMT) Full text and rfc822 format available.

Message #87 received at 475@bugs.x2go.org (full text, mbox):

From: Mihai Moldovan <ionic@ionic.de>
To: x2go-dev@lists.x2go.org, 475@bugs.x2go.org
Subject: Re: [X2Go-Dev] same problem with 4.0.2.1 on Yosemite
Date: Tue, 14 Nov 2017 01:13:51 +0100
[Message part 1 (text/plain, inline)]
Is this still a problem with current versions?



Mihai

[signature.asc (application/pgp-signature, attachment)]

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Wed Dec 12 03:18:52 2018; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.